import { jsx } from "react/jsx-runtime";
import { CornersIn as CornersIn$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CornersIn = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CornersIn", ...props, children: /* @__PURE__ */ jsx(CornersIn$1, { weight: variant }) });
  }
);
CornersIn.displayName = "CornersIn";
Object.assign(CornersIn, { isGdsIcon: true });
export {
  CornersIn
};
